# $Id$
# Authority: dag

# Tag: test

Summary: Virtual tape library userspace daemons
Name: mhvtl
Version: 0.16
Release: 1%{?dist}
License: GPL
Group: System/Kernel
URL: http://sites.google.com/site/linuxvtl2/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://sites.google.com/site/linuxvtl2/mhvtl-2010-05-09.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel
Requires: lsscsi
Requires: sg3_utils
Requires: zlib

%description
A Virtual tape library and tape drives:

Used to emulate hardware robot & tape drives:

VTL consists of a pseudo HBA kernel driver and user-space daemons which
function as the SCSI target.

Communication between the kernel module and the daemons is achieved
via /dev/vtl? device nodes.

%prep
%setup

%build
%{__make} usr etc scripts RPM_OPT_FLAGS="%{optflags}" VERSION="%{version}.%{release}"

%install
%{__rm} -rf %{buildroot}

%{__install} -Dp -m0750 etc/mhvtl %{buildroot}%{_initrddir}/mhvtl

%{__install} -Dp -m0750 usr/mktape %{buildroot}%{_bindir}/mktape
%{__install} -Dp -m0750 usr/vtlcmd %{buildroot}%{_bindir}/vtlcmd
%{__install} -Dp -m0750 usr/vtllibrary %{buildroot}%{_bindir}/vtllibrary
%{__install} -Dp -m0750 usr/vtltape %{buildroot}%{_bindir}/vtltape

%{__install} -Dp -m0700 usr/build_library_config %{buildroot}%{_bindir}/build_library_config
%{__install} -Dp -m0700 usr/make_vtl_devices %{buildroot}%{_bindir}/make_vtl_devices
%{__install} -Dp -m0700 usr/make_vtl_media %{buildroot}%{_bindir}/make_vtl_media
%{__install} -Dp -m0700 scripts/update_device.conf %{buildroot}%{_bindir}/update_device.conf

%{__install} -Dp -m0755 usr/libvtlscsi.so %{buildroot}%{_libdir}/libvtlscsi.so

%{__install} -Dp -m0644 man/build_library_config.1 %{buildroot}%{_mandir}/man1/build_library_config.1
%{__install} -Dp -m0644 man/make_vtl_devices.1 %{buildroot}%{_mandir}/man1/make_vtl_devices.1
%{__install} -Dp -m0644 man/mhvtl.1 %{buildroot}%{_mandir}/man1/mhvtl.1
%{__install} -Dp -m0644 man/mktape.1 %{buildroot}%{_mandir}/man1/mktape.1
%{__install} -Dp -m0644 man/vtlcmd.1 %{buildroot}%{_mandir}/man1/vtlcmd.1
%{__install} -Dp -m0644 man/vtllibrary.1 %{buildroot}%{_mandir}/man1/vtllibrary.1
%{__install} -Dp -m0644 man/vtltape.1 %{buildroot}%{_mandir}/man1/vtltape.1

%{__install} -Dp -m0644 man/library_contents.5 %{buildroot}%{_mandir}/man5/library_contents.5

%{__install} -d -m0755 %{buildroot}/opt/vtl/

%pre
groupadd -r vtl 2>/dev/null || :
useradd -c "VTL daemon" -s /sbin/nologin -r -d /opt/vtl -g vtl vtl 2>/dev/null || :

#if [ -x /etc/init.d/vtl ]; then
#    /etc/init.d/vtl shutdown
#fi
#if [ -x /etc/init.d/mhvtl ]; then
#    /etc/init.d/mhvtl shutdown
#fi

%post
/sbin/ldconfig
/sbin/chkconfig --add mhvtl

%preun
if [ $1 -eq 0 ]; then
#    /sbin/service mhvtl sthutdown &>/dev/null || :
    /sbin/service mhvtl stop &>/dev/null || :
    /sbin/chkconfig --del mhvtl
fi

%postun
/sbin/ldconfig
#if [ $1 -eq 0 ]; then
#    /sbin/service mhvtl sthutdown &>/dev/null || :
#fi
/sbin/service mhvtl condrestart &>/dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc INSTALL README doc/* etc/library_contents.sample
%doc %{_mandir}/man1/build_library_config.1*
%doc %{_mandir}/man1/make_vtl_devices.1*
%doc %{_mandir}/man1/mhvtl.1*
%doc %{_mandir}/man1/mktape.1*
%doc %{_mandir}/man1/vtlcmd.1*
%doc %{_mandir}/man1/vtllibrary.1*
%doc %{_mandir}/man1/vtltape.1*
%doc %{_mandir}/man5/library_contents.5*
%config %{_initrddir}/mhvtl
%{_bindir}/build_library_config
%{_bindir}/make_vtl_devices
%{_bindir}/make_vtl_media
%{_bindir}/mktape
%{_bindir}/update_device.conf
%{_bindir}/vtlcmd
%{_libdir}/libvtlscsi.so

%defattr(-, vtl, vtl, 0770)
%dir /opt/vtl/

%defattr(4750, root, vtl)
%{_bindir}/vtllibrary
%{_bindir}/vtltape

%changelog
* Thu Aug 05 2010 Dag Wieers <dag@wieers.com> - 0.16-1 - +/
- Initial package. (using DAR)
